Lock screen shows unnecessary warning about numlock

Bug #1526322 reported by Iain Lane on 2015-12-15
98
This bug affects 18 people
Affects Status Importance Assigned to Milestone
unity (Ubuntu)
High
Andrea Azzarone
Xenial
High
Andrea Azzarone

Bug Description

The new num lock warning on the lock screen is unnecessary if your keyboard has a separate numpad, and it's a bit confusing to be warned when there's nothing wrong.

Is there a way to detect when you need to warn and only show it then?

[Impact]

A warning is shown in the lockscreen when numlock is enabled

[Test case]

Enable numlock in your machine
Press Super+L to lock the screen
Expected: no warning is shown in the password field (unless caps lock is pressed).

[Regression potential]

Nothing known. This is just a simple revert.

ProblemType: Bug
DistroRelease: Ubuntu 16.04
Package: unity 7.4.0+16.04.20151102-0ubuntu2
ProcVersionSignature: Ubuntu 4.3.0-2.11-generic 4.3.0
Uname: Linux 4.3.0-2-generic x86_64
NonfreeKernelModules: wl
ApportVersion: 2.19.2-0ubuntu9
Architecture: amd64
CompizPlugins: No value set for `/apps/compiz-1/general/screen0/options/active_plugins'
CurrentDesktop: Unity
Date: Tue Dec 15 13:00:55 2015
InstallationDate: Installed on 2015-06-05 (192 days ago)
InstallationMedia: Ubuntu 15.10 "Wily Werewolf" - Alpha amd64 (20150605)
SourcePackage: unity
UpgradeStatus: No upgrade log present (probably fresh install)

Related branches

Iain Lane (laney) wrote :
Sebastien Bacher (seb128) wrote :

It's really confusing, it lead me to turn off numlock on my usb keyboard a few times this week which it returns created issues because a keypad is of no user when it's doesn't input numbers

That's a side effect from https://code.launchpad.net/~3v1n0/unity/lockscreen-num-lock-warning/+merge/276859 which has no attached bug nor rational :-/

it's also inconsistent with the greeter and other environment and was tried in the past and reverted because it's an unreliable hardware feature, see https://bugzilla.gnome.org/show_bug.cgi?id=662093 or https://bugs.launchpad.net/ubuntu/+source/gtk+3.0/+bug/841541

tags: added: rls-x-incoming
Changed in unity (Ubuntu):
importance: Undecided → High
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in unity (Ubuntu):
status: New → Confirmed
Will Cooke (willcooke) on 2016-02-15
tags: added: u7-trello-import
tags: removed: rls-x-incoming
Will Cooke (willcooke) on 2016-02-16
tags: removed: u7-trello-import
Egmont Koblinger (egmont-gmail) wrote :

I see no rationale behind anyone every trying to move the cursor (left, right, home, end...) while typing their password.

Typing digits as part of the password is a reasonable thing.

_If_ there's a warning at all (which I agree with the original report that doesn't make too much sense and just adds unnecessary noise) then the warning should be presented when NumLock is _OFF_.

Also, lightdm (or whichever the default login manager is) should be made consistent, currently that one doesn't display a warning on numlock.

Johan Boule (johan-boule) wrote :

I agree with this idea that the warning should rather be displayed when numlock is off.
I won't argue whether a numpad has any use with numlock off, but i would certainly argue that when typing a password, it's mostly useless to use the numpad for anything else than digits or the 4 operators.
In this sense, the warning is illogical and makes the system uncesserarilly chatty.

Matthew Harris (deidyomega) wrote :

While a full fix is being implemented, is there a way to change the settings via a config file?
Even if the config just disabled all lock warnings (caps lock + num lock)

Not yet. The rationale for that was that many notebook keyboards offer a numpad which is shared with the main keyboard, thus you might not be sure of what you're actually writing.

Unfortunately there's not a way to figure out when this is the case.

Changed in unity (Ubuntu):
assignee: nobody → Marco Trevisan (Treviño) (3v1n0)
Changed in unity (Ubuntu Xenial):
assignee: nobody → Marco Trevisan (Treviño) (3v1n0)
Andrea Azzarone (azzar1) on 2016-07-14
Changed in unity (Ubuntu):
assignee: Marco Trevisan (Treviño) (3v1n0) → Andrea Azzarone (azzar1)
Changed in unity (Ubuntu Xenial):
assignee: Marco Trevisan (Treviño) (3v1n0) → Andrea Azzarone (azzar1)
Changed in unity (Ubuntu):
status: Confirmed → In Progress
tags: added: desktop-trello-import
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package unity - 7.5.0+16.10.20160727-0ubuntu1

---------------
unity (7.5.0+16.10.20160727-0ubuntu1) yakkety; urgency=medium

  [ Andrea Azzarone ]
  * [LockSceen] Remove numlock warning. (LP: #1526322)
  * Make sure initiate and terminate callbacks are not empty before
    calling them. (LP: #1605012)
  * Properly destroy close_button_ to properly disconnect lambda. (LP:
    #1605010)
  * Use the standard notification-device-eject in the "device eject"
    notification. This allows us to scale it properly on high-dpi
    setups. (LP: #1605231)
  * Add tools to enforce unityshell plugin for the current profile and
    add "move" and "resize" plugins as requirements. (LP: #1506023,
    #1605007)
  * When locked discard damages from windows below lockscreen. (LP:
    #1605180)

  [ Eleni Maria Stea ]
  * DecoratedWindow: Added shadows for shaped windows

  [ Marco Trevisan (Treviño) ]
  * LockScreenAcceleratorController: ensure callbacks are valid before
    calling them (LP: #1605012)
  * DecoratedWindow: Cleanup shadows for shaped windows, reduce
    recomputation

 -- Marco Trevisan (Treviño) <mail@3v1n0.net> Wed, 27 Jul 2016 10:25:54 +0000

Changed in unity (Ubuntu):
status: In Progress → Fix Released
description: updated

Hello Iain, or anyone else affected,

Accepted unity into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/unity/7.4.0+16.04.20160801.2-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in unity (Ubuntu Xenial):
status: Confirmed → Fix Committed
tags: added: verification-needed
Vaclav Rehak (vaclav-n) wrote :

I tested with unity 7.4.0+16.04.20160801.2-0ubuntu1 and it works as expected

tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package unity - 7.4.0+16.04.20160801.2-0ubuntu1

---------------
unity (7.4.0+16.04.20160801.2-0ubuntu1) xenial; urgency=medium

  [ Andrea Azzarone ]
  * FileManagerLauncherIcon: Don't trust the Quirk::VISIBLE in the ctor.
    (LP: #1599133)
  * [TrashLauncherIcon] Create GFileMonitor in an idle to avoid blocking
    calls. (LP: #1602720)
  * [LockSceen] Remove numlock warning. (LP: #1526322)
  * Make sure initiate and terminate callbacks are not empty before
    calling them. (LP: #1605012)
  * Properly destroy close_button_ to properly disconnect lambda. (LP:
    #1605010)
  * Use the standard notification-device-eject in the "device eject"
    notification. This allows us to scale it properly on high-dpi
    setups. (LP: #1605231)
  * Add tools to enforce unityshell plugin for the current profile and
    add "move" and "resize" plugins as requirements. (LP: #1506023, LP:
    #1605007, LP: #1604657)

  [ Marco Trevisan (Treviño) ]
  * Unity script: use result from unity_support_test to check the right
    COMPIZ_CONFIG_PROFILE to use (LP: #1602377)
  * LockScreenAcceleratorController: ensure callbacks are valid before
    calling them (LP: #1605012)

  [ Eleni Maria Stea ]
  * DecoratedWindow: Added shadows for shaped windows (LP: 1608418)

  [ Marco Trevisan (Treviño) ]
  * DecoratedWindow: Cleanup shadows for shaped windows, reduce
    recomputation (LP: #1608418)
  * UnityWindowView: don't try to deference close_button_ if its' null

 -- Marco Trevisan (Treviño) <mail@3v1n0.net> Mon, 01 Aug 2016 13:10:28 +0000

Changed in unity (Ubuntu Xenial):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for unity has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.